Subject: 24.3.50; Strange display bug

From: Richard Stallman <[email-masked]>
Date: Fri, 10 May 2013 09:31:27 -0400

I visited the file free-sw.html, which I've edited.
I typed C-x v v as if to check in the changes.
It displayed *vc-log* in the bottom window.

In the *vc-log* buffer, I typed aaaa C-a C-o.
This made the buffer start with a blank line.

The bug is, that line is displayed in inverse video
just like the mode line above it.

I can reproduce the bug only in *vc-log*.
In *scratch*, in free-sw.html, in this mail buffer,
if I go to the beginning and type C-o, the bug does not occur.

In GNU Emacs 24.3.50.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-01 on chiefs-gnewsense
Bzr revision: 112434 [email-masked]
System Description:	Debian GNU/Linux 6.0.6 (squeeze)

Configured using:
 `configure CFLAGS=-g -O0'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Log-Edit

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f w w w / p h i l TAB f r e e - s w . h t m l 
RET C-x v v a a a a C-a C-o ESC x r e p o r t SPC e 
m a c s SPC b u g RET

Recent messages:
("emacs")
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Source file `/home/rms/emacs-bzr/trunk/lisp/gnus/message.el' newer than byte-compiled file

Load-path shadows:
None found.

Features:
(shadow sort nadvice gnus-util mail-extr emacsbug message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils log-edit easymenu easy-mmode ring
pcvs-util add-log vc vc-dispatcher parse-time vc-cvs sgml-mode t-mouse
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call